import { ButtonHTMLAttributes } from 'react';
import { RipplePropsForComponents } from '../../ripple/ripple.types';

export interface FABMainProps {
    icon: string;
    disabled?: boolean;
    elevated?: boolean;
    size?: 'small' | 'default' | 'large' | 'extended';
    variant?: 'surface' | 'primary' | 'secondary' | 'tertiary';
}

export type FABProps = FABMainProps &
    RipplePropsForComponents<HTMLButtonElement> &
    ButtonHTMLAttributes<HTMLButtonElement>;
