import React, { forwardRef, HTMLAttributes } from 'react';

export const CardHeader = forwardRef<
    HTMLHeadElement,
    HTMLAttributes<HTMLHeadElement>
>((props, ref) => {
    const extraClassStyles =
        `m3 m3-card-header ${props.className ?? ''}`.trimEnd();

    return (
        <header {...props} className={extraClassStyles} ref={ref}>
            {props.children}
        </header>
    );
});
