import { RipplePropsForComponents } from '../../ripple/ripple.types';
import { ButtonHTMLAttributes } from 'react';

export interface ButtonMainProps {
    icon?: string;
    children?: string;
    disabled?: boolean;
    variant?: 'filled' | 'outlined' | 'elevated' | 'tonal' | 'text';
}

export type ButtonProps = RipplePropsForComponents<HTMLButtonElement> &
    ButtonMainProps &
    ButtonHTMLAttributes<HTMLButtonElement>;
