import React, { forwardRef, HTMLAttributes } from 'react';

export const CardBody = forwardRef<HTMLElement, HTMLAttributes<HTMLElement>>(
    (props, ref) => {
        const extraClassStyles =
            `m3 m3-card-body ${props.className ?? ''}`.trimEnd();

        return (
            <section {...props} className={extraClassStyles} ref={ref}>
                {props.children}
            </section>
        );
    },
);
