import React, { forwardRef, HTMLAttributes } from 'react';

export const CardFooter = forwardRef<
    HTMLDivElement,
    HTMLAttributes<HTMLDivElement>
>((props, ref) => {
    const extraClassStyles =
        `m3 m3-card-footer ${props.className ?? ''}`.trimEnd();

    return (
        <div {...props} className={extraClassStyles} ref={ref}>
            {props.children}
        </div>
    );
});
