import { InputHTMLAttributes } from 'react';
import { RipplePropsForComponents } from '../../ripple/ripple.types';

export type RadioProps = InputHTMLAttributes<HTMLInputElement> &
    RipplePropsForComponents<HTMLInputElement> & {
        children?: string;
        centralRipple?: boolean;
    };
